ElevenLabs Audio Isolation
שילוב
elevenlabs/audio-isolation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/audio-isolation?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/elevenlabs/audio-isolation?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/elevenlabs/audio-isolation", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/he/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "elevenlabs/audio-isolation",
"input": {}
}
קראו למודל ElevenLabs Audio Isolation (elevenlabs/audio-isolation) דרך Doitong API. תיעוד לסוכנים: https://doitong.com/he/developers/models/elevenlabs/audio-isolation.md
POST https://api.doitong.ru/v1/run/elevenlabs/audio-isolation?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{}
אם סטטוס התגובה הוא "queued" או "running", בצעו polling ל־GET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20 עד שהוא יהיה "succeeded"; הקבצים נמצאים ב־outputs[].url. שליחת POST ל־https://api.doitong.ru/v1/quote/elevenlabs/audio-isolation עם אותו גוף מחזירה את המחיר המדויק לפני ההרצה.
קבצים כמו בדוגמה: 0.10 $ 100 קרדיטי API · ≈ 10.47 ₽ הקבצים שלכם נמדדים לפני ההרצה הרצה בדף הזה
מפתח ה־API החדש שלכם. הוא מוצג רק עכשיו וכבר מופיע בקוד ובשדה מפתח ה-API שלמטה. שמרו עליו בסוד: לעולם אל תכניסו אותו לקוד שרץ בדפדפן.
התוצאה הראשונה שלך תופיע כאן
בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.
בנה בקשה
הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.
/run/elevenlabs/audio-isolation?wait=20
הצעת מחיר → 0.10 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/elevenlabs/audio-isolation?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/elevenlabs/audio-isolation?wait=20", {
method: "POST",
headers,
body: JSON.stringify({}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/elevenlabs/audio-isolation", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "elevenlabs/audio-isolation",
"input": {},
"wait_seconds": 20
}
}
}
הרצת הבקשה הזו
המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API
מידע על ElevenLabs Audio Isolation
מחלץ דיבור נקי מהקלטה. מספקים `audio_url` או `video_url`; נדרש לפחות אחד מהם. התוצאה היא קובץ שמע המכיל את הקול המבודד. ניתן להחזיר גם חותמות זמן של מילים, כאשר הדבר מתבקש.
פרמטרים
שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים
audio_urlאופציונלי
audio
video_urlאופציונלי
video
פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים
פלט
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "elevenlabs/audio-isolation",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 100,
"usd": "0.10",
"charged": 100,
"refunded": 0
},
"input": {},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"timestamps": []
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
שדות הפלט
- audio
- object {url, content_type, file_name, file_size}קובץ האודיו שנוצר בתהליך היצירה.
- timestamps
- array of any | nullנתוני תזמון של הדיבור שנוצר, נכללים רק בבקשות שבהן `timestamps` מוגדר ל-True, עם חותמת זמן לכל מילה.
וריאנטים אחרים של ElevenLabs Audio
מודלים נוספים: אודיו
לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/elevenlabs/audio-isolation.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt